#!/usr/bin/perl -w

use strict;

my $i = 0;
my $team = "";
my $wins = 0;
my $longest_streak = 0;

sub check_last
{
    if ($team && $wins && $longest_streak)
    {
	print "$team\t$wins\t$longest_streak\n";
    }
    exit 0;
}

while(<>)
{
    while(/^[ ]*$/)
    {
	$_ = <> || &check_last;
    }
    if(/^\[(.*)\]$/)
    {
	if($team && $wins && $longest_streak)
	{
	    print "$team\t$wins\t$longest_streak\n";
	}
	$team = $1; $wins = 0; $longest_streak = 0;
    }
    elsif(/^wins=([0-9]+)$/)
    {
	$wins = $1;
    }
    elsif(/^longest_streak=([0-9]+)$/)
    {
	$longest_streak = $1;
    }
}

&check_last;
